{% extends 'forum/base.html' %}

{% block titulo %}Tema: {{ tema.titulo }}{% endblock %}

{% block principal %}
    <p><b><u>Descrição</u></b>: {{ tema.descricao }}</p>
    {% if tema.imagem %}
        <img src="{{ tema.imagem.url }}" width="250"/><br/>
    {% endif %}
    {% if erro %}
        <hr/>
        <b>{{ erro }}</b>
        <hr/>
    {% endif %}

    <h3>Lista das Perguntas e Respostas</h3>
    {% if tema.pergunta_set.count > 0 %}
        {% for pergunta in tema.pergunta_set.all %}
            <hr/>
            [PERGUNTA {{ forloop.counter }}] <b>{{ pergunta.enunciado }}</b><br/>
            {% if pergunta.resposta_set.count == 0 %}
                <dd>Nenhuma resposta cadastrada. <b>Responda, se souber!</b></dd>
            {% endif %}
            {% for resposta in pergunta.get_respostas %}
                <dd>
                [RESPOSTA {{ forloop.counter }}]:
                {{ resposta.texto }} (por {{ resposta.usuario.apelido }})
                [{{ resposta.curtidas }}]
                <a href="{% url 'forum:vota_resp' resposta.id %}">+1</a>
                </dd>
            {% endfor %}
            {% if user.is_authenticated and usuario_valido %}
                <br/>Responda você também a essa pergunta:<br/>
                <form method="post"
                      action="{% url 'forum:add_resp' pergunta.id %}">
                    {% csrf_token %}
                    <textarea name="texto" cols="40"></textarea><br/>
                    <input type="submit" value="Cadastrar Resposta"/>
                </form>
            {% endif %}
        {% endfor %}
    {% else %}
        <b>Ainda não há nenhuma pergunta cadastrada!</b>
    {% endif %}

    {% if user.is_authenticated and usuario_valido %}
        <hr/>
        <h3>Cadastre uma Nova Pergunta</h3>
        <form method="post" action="{% url 'forum:add_perg' tema.id %}">
            {% csrf_token %}
            <p>Enunciado: <input type="text" name="enunciado" size="60"/></p>
            <input type="submit" value="Cadastrar Pergunta"/>
        </form>
    {% endif %}
{% endblock %}